from os.path import join
from sys import argv
from time import gmtime, strftime, strptime
from urllib import quote_plus, urlopen
from urlparse import parse_qs, urlparse
from xml.dom.minidom import parseString
from xbmc import translatePath
import xbmcaddon
from xbmcgui import Dialog, ListItem
from xbmcplugin import addDirectoryItem, endOfDirectory

Addon = xbmcaddon.Addon("plugin.audio.dearnefm")

icons = {
	0: join(Addon.getAddonInfo('path'), 'icon.png'),
	1: join(Addon.getAddonInfo('path'), 'resources', 'media', 'DearneFM.png'),

}

def CONFIG():
	global streams

	# urls
	streams = {
		1: 'http://lincs.planetwideradio.com:8010/dearnefmaac',
	}

def INDEX():
	global icons, streams

	# add items
	addLink('[COLOR blue][B]Dearne FM[/B][/COLOR] [COLOR white] LIVE[/COLOR]', streams[1], icons[1], {
		'title': 'Release FM',
	})

def addLink(name, url, image = '', info = {}, totalItems = 0):
	name = name.encode('utf-8')
	item = ListItem(name, iconImage = image, thumbnailImage = image)
	item.setProperty('mimetype', 'audio/mpeg')
	item.setInfo('music', info)
	return addDirectoryItem(int(argv[1]), url, item, False, totalItems)

CONFIG()
INDEX()

endOfDirectory(int(argv[1]))
